QGIS Application - Feature request #1473
3dz/3dm/4d support
2009-01-02 08:14 AM - Jurgen Fischer

Status: Closed

Priority: Low

Assignee: Jurgen Fischer

Category: Vectors

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 11533
Description

attached a patch that add 3dz/3dz/4d vector support to core and the postgres provider.

Related issues:
Related to QGIS Application - Bug report # 12310: Inconsistent handling of 3D... Closed 2015-03-04

History

#1 - 2009-01-03 02:40 AM - Martin Dobias

Hi Juergen, I've took a brief look on your patch - | see there's quite big amount of work in it! :)

From the technical side, may | suggest you to leave [[QgsPoint]] as class for 3D points (X,Y,Z) and derive [[QgsPointM]] class from it which would operate
also with M coordinates? | have the impression that these 'measure' dimension is used so rarely that it would cause unnecessary memory overhead in

usual case.

Martin

#2 - 2009-01-19 10:11 AM - Paolo Cavallini

Would this be the right time to apply this patch to svn?

#3 - 2009-01-19 03:01 PM - Jiirgen Fischer

| was about to update the patch - but it has grown to large to attach.
| uploaded it to http://buten.norbit.de/~jef/2d+.diff.

The patch now contains rewritten WKB parsing and creation code and uses QVector instead of QList to keep points. It reduces the need for reallocations

and copying of memory.

#4 - 2009-01-31 08:53 AM - Jiirgen Fischer

Replying to [comment:4 jef]:

| uploaded it to http.//buten.norbit.de/~jef/2d+.dlff.

updated the patch to commit:ddd7c8b0 (SVN r10067)
http://buten.norbit.de/~jef/2d+.diff
http://buten.norbit.de/~jef/2d+.diff

#5 - 2009-07-11 04:36 AM - Giovanni Manghi

If the patch has been applied can | close this?

#6 - 2009-07-18 02:32 AM - Giovanni Manghi
- Resolution set to fixed
- Status changed from Open to Closed

The patch should have been applied, so I'm closing this ticket. Reopen if necessary.

#7 - 2009-07-18 02:34 AM - Jiirgen Fischer
- Resolution deleted (fixed)
- Status changed from Closed to Feedback

this patch has not been applied.

#8 - 2009-07-18 02:36 AM - Jiirgen Fischer

Replying to [comment:9 jef]:

this patch has not been applied.

I've no application for 2d+ data - and therefore this hasn't been tested enough to be applied.

#9 - 2009-07-18 03:24 AM - Giovanni Manghi

Replying to [comment:10 jef]:

Replying to [comment:9 jef]:

this patch has not been applied.

I've no application for 2d+ data - and therefore this hasn't been tested enough to be applied.

Hi Jurgen,

thanks for the feedback. Is this on the developers agenda for the next future?

#10 - 2010-05-11 01:10 PM - bitner -

| am happy to provide either testing or sample datasets for this feature if it gets pulled back up. This is very important for anyone who needs to carry
through Z and M data even if they are not using it in all situations.
#11 - 2010-06-11 09:54 PM - Paolo Cavallini

bitner (or others), please provide sample data for testing and eventually apply the patch

#12 - 2011-01-06 11:50 AM - bitner -

Replying to [comment:13 pcav]:

bitner (or others), please provide sample data for testing and eventually apply the patch

Just now saw this.... Attaching a shapefile that has Z and M Coordinates. (shp2pgsql will bring it in with Z and M dimensions intact -- OGR will drop them)

#13 - 2011-07-05 11:59 AM - Sandro Santilli

Note that as of postgis 2.0 (current postgis trunk) chances are you won't even see columns containing geometries with 3dZ, 3dM or 4d coordinates. Didn't

really test but there's been changes in the geometry_columns.type field...

#14 - 2011-09-20 07:56 PM - Alister Hood
- Pull Request or Patch supplied set to No

This seems like a feature that would be good to have in QGIS 2.0
A lot of the existing patch fails to apply to the current code. | presume someone would need to work through it all manually - you haven't got a local branch
in sync with the current trunk or anything, have you Jiirgen?

#15 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#16 - 2011-12-16 04:03 PM - Jiirgen Fischer

- Target version changed from Version 1.7.4 to Version 2.0.0

#17 - 2012-10-06 02:34 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#18 - 2014-06-23 11:19 PM - Jiirgen Fischer
- Status changed from Feedback to Open

#19 - 2015-03-04 03:03 AM - Jiirgen Fischer

wkb parsing part "merged" in commit:6bbd17c217e405db9ccfae629b0cc86ff28ca05b

#20 - 2015-10-22 12:47 AM - Jiirgen Fischer
- Status changed from Open to Closed

superceded by new geometry classes.
Files

sampletracks.tar.gz 24 KB 2011-01-06 bitner -
